Bug 502596 - Review Request: sblim-tools-libra - SBLIM Common Resource Access Library for WBEM-SMT tasks
Review Request: sblim-tools-libra - SBLIM Common Resource Access Library for ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen K Paladugu
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 468400
  Show dependency treegraph
 
Reported: 2009-05-26 07:52 EDT by Vitezslav Crhonek
Modified: 2009-10-20 04:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-20 04:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
praveen_paladugu: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Crhonek 2009-05-26 07:52:26 EDT
Spec URL: http://vcrhonek.fedorapeople.org/sblim-tools-libra/sblim-tools-libra.spec
SRPM URL: http://vcrhonek.fedorapeople.org/sblim-tools-libra/sblim-tools-libra-0.2.3-1.fc10.src.rpm
Description: The tools-libra package provides common functionality required by
the task-specific resource access layers of wbem-smt tasks such as
cmpi-dns and cmpi-samba.
Comment 1 Praveen K Paladugu 2009-08-26 15:27:08 EDT
user1#  rpmlint sblim-tools-libra.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
user1#  sblim-tools-libra-0.2.3-1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
user1#  sblim-tools-libra-0.2.3-1.fc10.i386.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
user1#  sblim-tools-libra-devel-0.2.3-1.fc10.i386.rpm
sblim-tools-libra-devel.i386: W: no-documentation

Replace the occurrence of "sblim-tools-libra" with %{name} whenever possible.

Since this package only provides the libraries, it should be Grouped under Libraries instead of Applications.
Comment 2 Vitezslav Crhonek 2009-08-31 08:37:04 EDT
(In reply to comment #1)
> user1#  rpmlint sblim-tools-libra.spec 
> 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
> user1#  sblim-tools-libra-0.2.3-1.fc10.src.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> user1#  sblim-tools-libra-0.2.3-1.fc10.i386.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> user1#  sblim-tools-libra-devel-0.2.3-1.fc10.i386.rpm
> sblim-tools-libra-devel.i386: W: no-documentation
> 
> Replace the occurrence of "sblim-tools-libra" with %{name} whenever possible.

Done.

> 
> Since this package only provides the libraries, it should be Grouped under
> Libraries instead of Applications.  

sblim-tools-libra - System Environment/Libraries
sblim-tools-libra-devel - Development/Libraries

OK?
Comment 3 Vitezslav Crhonek 2009-10-06 08:05:23 EDT
Ping?
Comment 4 Praveen K Paladugu 2009-10-06 11:20:55 EDT
Sorry for the delay.

Since the release number wasn't changed, I thought the new sources were not available yet.

Few more things to take care of:
 1)  #user1  rpmlint rpmbuild/RPMS/i386/sblim-tools-libra-devel-0.2.3-1.fc10.i386.rpm
sblim-tools-libra-devel.i386: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

 Please add some documentation to doc package.

 2) The devel package seems to own /usr/include/sblim directory. I suggest a "Requires:" be added to a package which owns this directory. This is just to make sure that the same directory is not owned by different packages.

 sblim-cmpi-base-devel seems to be a good choice. Please suggest if you have any other package in mind.


Please bump up the release number of the package to avoid further confusion. 


This package is good to go after handling the above comments.

Thank you 
Praveen
Comment 5 Vitezslav Crhonek 2009-10-13 08:52:02 EDT
In reply to comment #4)
> Sorry for the delay.
>
> Since the release number wasn't changed, I thought the new sources were not
> available yet.
>
> Few more things to take care of:
>  1)  #user1  rpmlint
> rpmbuild/RPMS/i386/sblim-tools-libra-devel-0.2.3-1.fc10.i386.rpm
> sblim-tools-libra-devel.i386: W: no-documentation
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
>
>  Please add some documentation to doc package.

The documentation from upstream tarball is shipped in sblim-tools-libra package, there's no more documentation left for -devel package. Because -devel package requires sblim-tools-libra package to be installed, the documentation will be available to the user.

>
>  2) The devel package seems to own /usr/include/sblim directory. I suggest a
> "Requires:" be added to a package which owns this directory. This is just to
> make sure that the same directory is not owned by different packages.
>
>  sblim-cmpi-base-devel seems to be a good choice. Please suggest if you have
> any other package in mind.

I believe this is not necessary and will lead only to pointless dependency. See

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

IMHO this is the case of second example - Multiple packages have files in a common directory but none of them requires others.

>
>
> Please bump up the release number of the package to avoid further confusion.

So I did no changes. Please let me know if you have anything else or if you feel I'm wrong with things above.

>
>
> This package is good to go after handling the above comments.
>
> Thank you
> Praveen
Comment 6 Praveen K Paladugu 2009-10-14 15:15:11 EDT
Everything looks good. Please go ahead and submit request for CVS.
Comment 7 Kevin Fenzi 2009-10-15 13:13:30 EDT
Please add a cvs template here so we know what you would like. 

https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 8 Vitezslav Crhonek 2009-10-19 06:05:23 EDT
New Package CVS Request
=======================
Package Name: sblim-tools-libra
Short Description: The tools-libra package provides common functionality required by the task-specific resource access layers of wbem-smt tasks such as cmpi-dns and cmpi-samba.
Owners: vcrhonek
Branches: F-10 F-11 F-12 EL-4 EL-5
Comment 9 Kevin Fenzi 2009-10-19 12:22:33 EDT
I'd have to say that short description isn't very short. ;) 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.